<?php
namespace TourOperatorProFrontend\app\views\tour;
use TourOperatorPro\Mvc\Model\Model;
use TourOperatorPro\Mvc\View\View;
use TourOperatorPro\Factory as FactoryAlias;
use TourOperatorPro\Utilities\Utility;

class TourView extends View
{
    public function display($tpl){
        $input = FactoryAlias::getInput();

        $tour_id = $input->getInt('tour_id',0);
        $modelTour=Model::getInstance('tour');
        $this->form = $modelTour->getForm();
        $modelCoupon = Model::getInstance('coupon');
        $this->listcounpon = $modelCoupon->getList();
        $this->tour=$modelTour->getItem($tour_id);
        return parent::display($tpl);
    }
}